Subject: Re: bug#36085: 26.2; find-dired octal escapes instead of Cyrillic text

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jun 2019 08:22:09 +0300

> Date: Sat, 08 Jun 2019 18:34:48 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Indeed, the hard part is to distinguish between \nnn an octal escape
> and the literal string "\nnn".  That difficulty is one reason why
> gdb-mi.el performs a similar decoding only as an opt-in optional
> behavior.

Here's an idea for making this command work with non-ASCII file names:
do NOT add "-ls" to the 'find' command line, then in the process
filter function call file-attributes on each file name we receive from
'find', and format the result according to Dired convention before
inserting it into the buffer.

Any takers?